FFmpeg‘ff_dwt_decode’函数拒绝服务漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1151077 漏洞类型 缓冲区溢出
发布时间 2015-12-23 更新时间 2015-12-23
CVE编号 CVE-2015-8662 CNNVD-ID CNNVD-201512-572
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
https://www.securityfocus.com/bid/79695
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201512-572
|漏洞详情
FFmpeg是FFmpeg团队的一套可录制、转换以及流化音视频的完整解决方案。FFmpeg2.8.4之前版本的libavcodec/jpeg2000dwt.c文件中的‘ff_dwt_decode’函数存在安全漏洞,该漏洞源于程序执行DiscreteWaveletTransform解码时没有验证解码等级。远程攻击者可借助特制的JPEG2000数据利用该漏洞造成拒绝服务(越边界数组访问)。
|受影响的产品
FFmpeg FFmpeg 2.8.3 FFmpeg FFmpeg 2.8.2 FFmpeg FFmpeg 2.8.1 FFmpeg FFmpeg 2.8 FFmpeg FFmpeg 2.7.3 FFmpeg FFmpeg 2.7.2 FFmpeg FFmpeg 2.7.1
|参考资料

来源:git.videolan.org
链接:http://git.videolan.org/?p=ffmpeg.git;a=commit;h=75422280fbcdfbe9dc56bde5525b4d8b280f1bc5